aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2019-12-02 14:22:16 +0000
committerPeter Mikus <pmikus@cisco.com>2019-12-02 14:23:46 +0000
commit9a936616eea7236ca8183f632d01d62109e12b29 (patch)
tree3d503b1218c55bba90e347c57f89facc8148e0ff /resources/libraries/bash
parentf6eacaa97848720c5fbb7949ca35c0d2ba49160b (diff)
FIX: Perpatch PY3
Signed-off-by: Peter Mikus <pmikus@cisco.com> Change-Id: Iae97cf4490fea38f5f03bdaa120ee7ae48b941ab
Diffstat (limited to 'resources/libraries/bash')
-rw-r--r--resources/libraries/bash/entry/check_crc.sh2
-rw-r--r--resources/libraries/bash/function/per_patch.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/resources/libraries/bash/entry/check_crc.sh b/resources/libraries/bash/entry/check_crc.sh
index 6c91d28a34..798d29a7f0 100644
--- a/resources/libraries/bash/entry/check_crc.sh
+++ b/resources/libraries/bash/entry/check_crc.sh
@@ -41,5 +41,5 @@ set_perpatch_vpp_dir || die
activate_virtualenv "${VPP_DIR}" || die
# TODO: Create bash functions for the following one-liners?
make json-api-files || die "Generation of .api.json files failed."
-python csit/resources/tools/integrated/check_crc.py
+python3 csit/resources/tools/integrated/check_crc.py
# RuntimeError causes nonzero return code, to vote -1.
diff --git a/resources/libraries/bash/function/per_patch.sh b/resources/libraries/bash/function/per_patch.sh
index b5bac78d4a..919789b5f4 100644
--- a/resources/libraries/bash/function/per_patch.sh
+++ b/resources/libraries/bash/function/per_patch.sh
@@ -109,10 +109,10 @@ function compare_test_results () {
cd "${VPP_DIR}" || die "Change directory operation failed."
# Reusing CSIT main virtualenv.
- pip install -r "${PYTHON_SCRIPTS_DIR}/perpatch_requirements.txt" || {
+ pip3 install -r "${PYTHON_SCRIPTS_DIR}/perpatch_requirements.txt" || {
die "Perpatch Python requirements installation failed."
}
- python "${PYTHON_SCRIPTS_DIR}/compare_perpatch.py"
+ python3 "${PYTHON_SCRIPTS_DIR}/compare_perpatch.py"
# The exit code determines the vote result.
}